package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.List;

/**
 * 联合商户账号分组组件
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/25 1:53 PM 
 */
public class UnionEnterpriseAccountGroupListVO implements Serializable{
    private static final long serialVersionUID = 6530622928732661742L;

    /**
     * 商户ID
     */
    private String value;

    /**
     * 商户名称
     */
    private String label;

    private List<AccountGroupListVO> children;

    public String getValue() {
        return value;
    }

    public UnionEnterpriseAccountGroupListVO setValue(String value) {
        this.value = value;
        return this;
    }

    public String getLabel() {
        return label;
    }

    public UnionEnterpriseAccountGroupListVO setLabel(String label) {
        this.label = label;
        return this;
    }

    public List<AccountGroupListVO> getChildren() {
        return children;
    }

    public UnionEnterpriseAccountGroupListVO setChildren(List<AccountGroupListVO> children) {
        this.children = children;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAccountGroupListVO{" +
                "value='" + value + '\'' +
                ", label='" + label + '\'' +
                ", children=" + children +
                '}';
    }
}
